Update event
curl --request PATCH \
--url https://openapi.rocketpunch.com/api/v1/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'request={
"eventName": "<string>",
"description": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"onlineLink": "<string>",
"country": "<string>",
"region": "<string>",
"locality": "<string>",
"locationTitle": "<string>",
"locationAddress": "<string>",
"locationDetail": "<string>",
"locationDescription": "<string>",
"locationHidden": true,
"guestHidden": true,
"eventCategories": [],
"eventSubjects": []
}' \
--form banner='@example-file'import requests
url = "https://openapi.rocketpunch.com/api/v1/events/{eventId}"
files = { "banner": ("example-file", open("example-file", "rb")) }
payload = { "request": "{
\"eventName\": \"<string>\",
\"description\": \"<string>\",
\"startAt\": \"2023-11-07T05:31:56Z\",
\"endAt\": \"2023-11-07T05:31:56Z\",
\"onlineLink\": \"<string>\",
\"country\": \"<string>\",
\"region\": \"<string>\",
\"locality\": \"<string>\",
\"locationTitle\": \"<string>\",
\"locationAddress\": \"<string>\",
\"locationDetail\": \"<string>\",
\"locationDescription\": \"<string>\",
\"locationHidden\": true,
\"guestHidden\": true,
\"eventCategories\": [],
\"eventSubjects\": []
}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('request', '{
"eventName": "<string>",
"description": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"onlineLink": "<string>",
"country": "<string>",
"region": "<string>",
"locality": "<string>",
"locationTitle": "<string>",
"locationAddress": "<string>",
"locationDetail": "<string>",
"locationDescription": "<string>",
"locationHidden": true,
"guestHidden": true,
"eventCategories": [],
"eventSubjects": []
}');
form.append('banner', '<string>');
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://openapi.rocketpunch.com/api/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventId": "<string>",
"webUrl": "<string>"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Events
Update event
Partially updates an event.
Authentication: The Authorization: Bearer <jwt> header is required.
Required OAuth scope: event:write.
PATCH
/
api
/
v1
/
events
/
{eventId}
Update event
Authorizations
Access token for user-context authentication. Send it in the Authorization: Bearer <jwt> header. Use the token your OAuth client app obtained via the Authorization Code + PKCE flow.
Headers
Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.
Example:
"ko"
Path Parameters
Event ID
Was this page helpful?
⌘I